﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MonteKarlo
{
    internal class Methods
    {
        public double Pi(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble()*(2 - 0) + 0;
                double y = rnd.NextDouble()* (2 - 0) + 0;
                if ((Math.Pow(x-1, 2) + Math.Pow(y-1, 2)) <= 1){
                    k++;
                }
            }
            return 4 * k / (double)n;
        }
        public double FindTheAreaExample(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (8.3 - 0) + 0;
                double y = rnd.NextDouble() * (5 - 0) + 0;
                if ((x * (10 - x)) / 5 > y && (x / 3) < y)
                {
                    k++;
                }
            }
            return 8.3 * 5 * (k / (double)n);

        }
        public double FindTheAreaExercise1(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (15 + 5) - 5;
                double y = rnd.NextDouble() * (1 - 0) + 0;
                if(Math.Sin(x)>y && y > 0)
                {
                    k++;
                }
                
            }
            return 20 * 1 * (k / (double)n);

        }
        public double FindTheAreaExercise2(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (7 - 0) + 0;
                double y = rnd.NextDouble() * (9 - 0) + 0;
                if ((x * (8 - x)) / 2 > y && (x / 2) < y)
                {
                    k++;
                }
            }
            return 7 * 9 * (k / (double)n);

        }
        public double FindTheAreaExercise3(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (12 - 0) + 0;
                double y = rnd.NextDouble() * (6 - 0) + 0;
                if ((Math.Pow((x-6),2) / 6) < y && y < 6)
                {
                    k++;
                }
            }
            return 12 * 6 * (k / (double)n);

        }
        public double FindTheAreaExercise4(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (10 - 0) + 0;
                double y = rnd.NextDouble() * (4 - 0) + 0;
                if (((x * (12 - x)) / 9 > y && (x / 5) < y))
                {
                    k++;
                }
            }
            return 10 * 4 * (k / (double)n);

        }
        public double FindTheAreaExercise5(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (8 - 0.5) + 0.5;
                double y = rnd.NextDouble() * (4 - 0.5) + 0.5;
                if (((x * (8 - x)) / 4 > y && ((8 - x) / 8) < y))
                {
                    k++;
                }
            }
            return 7.5 * 3.5 * (k / (double)n);

        }
        public double FindTheAreaExercise6(int n)
        {
            int k = 0;
            for (int i = 0; i < n; i++)
            {
                Random rnd = new Random();
                double x = rnd.NextDouble() * (3 - 1) + 1;
                double y = rnd.NextDouble() * (0.9 - 0.5) + 0.5;
                if (Math.Sin(x)>y && (Math.Pow((x-2),2)/2)<y)
                {
                    k++;
                }
            }
            return 2 * 0.4 * (k / (double)n);

        }
    }
   
}
